Subject: Re: [PATCH 2/2] reftable/stack: accept insecure random bytes

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Jan 2025 07:39:37 -0800

Patrick Steinhardt <[email-masked]> writes:

>> It may still make sense to drop the first hunk, and consider how to
>> proceed when you further want to reduce the unnecessary dependencies
>> for external users of the reftable library, though.  Are there
>> correctness implications if git_rand() in format_name() yields non
>> random results (like, always using "rnd = 0" instead of calling
>> git_rand())?  I seriously hope not.  And if there is no correctness
>> implications, perhaps we can replace it with rand() or even constant
>> "0"?
>
> No, there aren't any implications on correctness in that case. Sure, the
> randomized delays not being randomized can lead to more contention. But
> even when the randomized suffix for tables is deterministic we wouldn't
> have an issue as the files are still distinguished by their update
> indices.

OK, so they both can be turned into a simple rand() that is expected
to work more reliably especially on more exotic systems (meaning:
the ability the system providers can test their rand() is much
better than our ability to test our git_rand() there)?  It would
help us solve the immediate issue reported, while removing one git
specific function from the reftable library?

Thanks.